%define module	Hal-Cdroms
%define name	perl-%{module}
%define version	0.04
%define release	%mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Access cdroms through HAL and D-Bus
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/P/PI/PIXEL/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}
Requires:	perl(Net::DBus)
Requires:	udisks


Buildarch:	noarch

%description
Access cdroms through HAL and D-Bus

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes META.yml
%{perl_vendorlib}/Hal/Cdroms*
%{_mandir}/*/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.04-4.mga4
+ Revision: 512204
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.04-3.mga3
+ Revision: 368336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 27 2012 tv <tv> 0.04-2.mga2
+ Revision: 215454
- requires udisks (mga#4645)

* Sun Jan 29 2012 tv <tv> 0.04-1.mga2
+ Revision: 202802
- switch from HAL to udisks (mga#3458 & #3639)

* Fri Jan 21 2011 jquelin <jquelin> 0.03-5.mga1
+ Revision: 29441
- rebuild
- mageia rebuild

* Wed Jan 12 2011 jquelin <jquelin> 0.03-4.mga1
+ Revision: 7385
- imported package perl-Hal-Cdroms


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.03-4mdv2010.1
+ Revision: 426511
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.03-3mdv2009.1
+ Revision: 351964
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.03-2mdv2009.0
+ Revision: 223784
- rebuild

* Mon Mar 03 2008 Pixel <pixel@mandriva.com> 0.03-1mdv2008.1
+ Revision: 178078
- 0.03:
- ->mount and ->umount now work even the cdrom is listed in fstab,
  use ->mount_hal and ->umount_hal if you want the HAL restriction

* Fri Feb 29 2008 Pixel <pixel@mandriva.com> 0.02-1mdv2008.1
+ Revision: 176782
- 0.02:
- save error in $hal_cdroms->{error}
- ->mount: do not set the mount point, HAL handles it

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 0.01-1mdv2008.1
+ Revision: 176557
- fix BuildRequires and add BuildRoot
- initial release
- create perl-Hal-Cdroms

